// 指导巡逻-方格巡逻任务接口
import request from "@/utils/request";
const api = "/mosty-api/mosty-yjzl";

// 分页查询
export function getSelectPage(params) {
  return request({
    url: api + '/tbZdxlFgxlrw/selectPage',
    method: 'GET',
    params
  })
}
// 自定义分页查询
export function selectPagezdy(params) {
  return request({
    url: api + '/tbZdxlFgxlrw/selectPagezdy',
    method: 'GET',
    params
  })
}

// 修改数据
export function updateData(data) {
  return request({
    url: api + '/tbZdxlFgxlrw/update',
    method: 'POST',
    data
  })
}

// 下发
export function fetchIssueData(data) {
  return request({
    url: api + '/tbZdxlFgxlrw/issueList',
    method: 'POST',
    data
  })
}

export function fetchTbZdxlFgdwBddSelectList(fgxlrwId) {
  return request({
    url: api + `/tbZdxlFgdwBddxlrw/selectUnSelectedVoListByFgxlrwId/${fgxlrwId}`,
  })
}

// 追加列表
export function fetchTbAppendList(data) {
  return request({
    url: api + '/tbZdxlFgdwBddxlrw/appendList',
    method: 'POST',
    data
  })
}
